Main Page Widgets Namespaces Book

# Atk::TextAttribute Class Reference

List of all members.

## Public Member Functions
| TextAttribute ()
| TextAttribute (BuiltinTextAttribute attribute)
| TextAttribute (int attribute)
| operator int () const
## Static Public Member Functions
TextAttribute | for_name (const Glib::ustring& name)
Glib::ustring | get_name (TextAttribute attribute)
Glib::ustring | get_value (TextAttribute attribute, int index)

## Constructor & Destructor Documentation

Atk::TextAttribute::TextAttribute | ( |  | ) | `[inline]`

Atk::TextAttribute::TextAttribute | ( | BuiltinTextAttribute | attribute | ) | `[inline]`

Atk::TextAttribute::TextAttribute | ( | int | attribute | ) | `[inline, explicit]`

## Member Function Documentation

TextAttribute Atk::TextAttribute::for_name | ( | const Glib::ustring& | name | ) | `[static]`

Glib::ustring Atk::TextAttribute::get_name | ( | TextAttribute | attribute | ) | `[static]`

Glib::ustring Atk::TextAttribute::get_value | ( | TextAttribute | attribute,
|  | int | index
| ) | `[static]`

Atk::TextAttribute::operator int | ( |  | ) | const`[inline]`

The documentation for this class was generated from the following file:

- text.h